Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.ntru
Class EncryptionParameters

    java.lang.Object
      net.sf.ntru.EncryptionParameters

    public class EncryptionParameters

extends java.lang.Object

Field Summary
`(package private) int` | `bufferLenBits`
`(package private) int` | `bufferLenTrits`
`(package private) int` | `c`
`(package private) int` | `db`
`(package private) int` | `df`
`(package private) int` | `dg`
`(package private) int` | `dm0`
`(package private) int` | `dr`
`static EncryptionParameters` | `EES1087EP2`
`static EncryptionParameters` | `EES1171EP1`
`static EncryptionParameters` | `EES1499EP1`
`(package private) int` | `maxMsgLenBytes`
`(package private) int` | `minCallsMask`
`(package private) int` | `minCallsR`
`(package private) int` | `N`
`(package private) byte[]` | `oid`
`(package private) int` | `pkLen`
`(package private) int` | `q`

Constructor Summary
`EncryptionParameters(int N, int q, int df, int maxMsgLenBytes, int db, int c, int minCallsR, int minCallsMask, byte[] oid)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EES1087EP2

    public static final EncryptionParameters EES1087EP2

### EES1171EP1

    public static final EncryptionParameters EES1171EP1

### EES1499EP1

    public static final EncryptionParameters EES1499EP1

### N

    int N

### q

    int q

### df

    int df

### dr

    int dr

### dg

    int dg

### maxMsgLenBytes

    int maxMsgLenBytes

### db

    int db

### bufferLenBits

    int bufferLenBits

### bufferLenTrits

    int bufferLenTrits

### dm0

    int dm0

### pkLen

    int pkLen

### c

    int c

### minCallsR

    int minCallsR

### minCallsMask

    int minCallsMask

### oid

    byte[] oid

Constructor Detail

### EncryptionParameters

    public EncryptionParameters(int N,
                                int q,
                                int df,
                                int maxMsgLenBytes,
                                int db,
                                int c,
                                int minCallsR,
                                int minCallsMask,
                                byte[] oid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD